# How to contribute

We're thrilled that you want to contribute to our project as third-party patches are essential for keeping `csa` great.  

A **BIG Thank you** for that!

Therefore, we want to make contribution as simple as possible while keeping things working in your environment.
There are a few guidelines that we need contributors to follow so that we can have a chance of keeping on top of things.


## Issues

The best way to contribute and get involved in the project is through issues, you can help in many ways: participating in the discussion, adding detail to open issues, and opening new issue. 

There are mainly two kinds of issues you can open:

- **Bug Report**: if you found a problem in `cas` and you want to discuss and get it fixed!

- **Feature Request**: any new feature needs to be discussed in this kind of issue. Be very good at explaining your intent, it's always important that others can understand what you mean in order to discuss.

Your help will be appreciated!

## Pull Requests

Open a [pull request](https://help.github.com/articles/about-pull-requests) is the best way to get an issue fixed.

Our guidelines for pull requests are very straightforward:

- Use the [convetional commits](https://www.conventionalcommits.org/) spec for your commit messages.

- Make sure tests are passing (ie. `make test`).

- Issue the pull request against the `master` branch.


Thanks for taking time to make a pull request!